Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032940
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2016-05-12 12:262016-06-17 19:37
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision4631e87e35e7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032940: Not possible to filter string fields in Custom Query Selectors using equals operator

DescriptionIs not possible to filter string fields in Custom Query Selectors using equals operator
Steps To Reproduce1) Create a new business partner, with name = a
2) Go to [Sales Order] window
3) Create a new record in the header
4) Open the business partner selector pop-up
5) Type the following in the business partner name filter: ==a. Notice that in this case just the newly created business partner must be shown. But all the business partners that contains 'a' on their name are displayed instead.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0032941 acknowledgedplatform Unexpected behavior when typing = character on selector string fields 
related to defect 0032942 acknowledgedplatform Is not possible to perform numeric comparisons on numeric filters in Custom Query Selectors 
related to defect 0035956 closedalostale The numeric field filter does not work with operators in HQL based selectors 

-  Notes
(0086400)
hgbot (developer)
2016-05-12 14:00

Repository: erp/devel/pi
Changeset: 4631e87e35e753bae2704be096a2326b6657d562
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu May 12 13:59:40 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4631e87e35e753bae2704be096a2326b6657d562 [^]

fixes issue 32940: allow iEquals operator in Custom Query Selectors
The criteria is being sent properly by the client side, but the iEquals operator was not being considered by the CustomQuerySelectorDatasource. It was filtering using a contains criteria instead.

---
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/CustomQuerySelectorDatasource.java
---
(0086553)
AugustoMauch (developer)
2016-05-18 16:35

Code reviewed and verified in pi@4631e87e35e7
(0087534)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-05-12 12:26 caristu New Issue
2016-05-12 12:26 caristu Assigned To => caristu
2016-05-12 12:26 caristu Modules => Core
2016-05-12 12:26 caristu Triggers an Emergency Pack => No
2016-05-12 12:27 caristu Tag Attached: Performance
2016-05-12 12:29 caristu Summary Not possible to filter in Custom Query Selectors using equals operator => Not possible to filter string fields in Custom Query Selectors using equals operator
2016-05-12 12:29 caristu Description Updated View Revisions
2016-05-12 12:34 caristu Severity major => minor
2016-05-12 12:43 caristu Relationship added related to 0032941
2016-05-12 12:47 caristu Relationship added related to 0032942
2016-05-12 14:00 hgbot Checkin
2016-05-12 14:00 hgbot Note Added: 0086400
2016-05-12 14:01 hgbot Status new => resolved
2016-05-12 14:01 hgbot Resolution open => fixed
2016-05-12 14:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4631e87e35e753bae2704be096a2326b6657d562 [^]
2016-05-12 14:01 caristu Review Assigned To => AugustoMauch
2016-05-18 16:35 AugustoMauch Note Added: 0086553
2016-05-18 16:35 AugustoMauch Status resolved => closed
2016-05-18 16:35 AugustoMauch Fixed in Version => 3.0PR16Q3
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087534
2017-05-25 08:38 caristu Relationship added related to 0035956


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker